<?xml version="1.0" encoding="utf-8"?><!-- DWXMLSource="raw.xml" -->
<xsl:stylesheet version="1.0"
    xmlns:s="http://www.w3.org/2003/05/soap-envelope" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"    
    xmlns:sicklrf="http://schemas.microsoft.com/xw/2005/12/sicklrf.html">

  <xsl:output method="html" version ="4.01" encoding="utf-8" indent="yes"
              doctype-system="http://www.w3.org/TR/html4/loose.dtd"/>

  <xsl:template match="s:Header">
    
  </xsl:template>
  
  <xsl:template match="sicklrf:State">
    <html>
      <head>
        <title>Sick Laser Range Finder</title>
        <link rel="stylesheet" type="text/css" href="/resources/dss/Microsoft.Dss.Common.DSS.css" />
        <script language="javascript">
          function viewXML()
          {
          var frame = window.parent.dssExternal;
          if (frame){
          top.document.body.getElementsByTagName("frameset").item(2).cols="10,0,*,0";
          window.open(document.location.href + '/raw','dssExternal');
          } else {
          window.open(document.location.href + '/raw','_top');
          }
          return true;
          }

          function viewTopImage()
          {
          var frame = window.parent.dssExternal;
          if (frame){
          top.document.body.getElementsByTagName("frameset").item(2).cols="10,0,*,0";
          window.open(document.location.href + '/top','dssExternal');
          } else {
          window.open(document.location.href + '/top','_top');
          }
          return true;
          }

          function viewCylinderImage()
          {
          var frame = window.parent.dssExternal;
          if (frame){
          top.document.body.getElementsByTagName("frameset").item(2).cols="10,0,*,0";
          window.open(document.location.href + '/cylinder','dssExternal');
          } else {
          window.open(document.location.href + '/cylinder','_top');
          }
          return true;
          }
        </script>
      </head>
      <body>
        <table width="100%" border="0" cellpadding="5" cellspacing="5">
          <tr valign="middle">
            <td align="left" style="font-size:large; color:Black;">
              <div id="DSSServiceName">
                Sick Laser Range Finder
              </div>
            </td>
            <td align="right">
              <a  style="font-size:large; color:Black; cursor:hand;">
                <xsl:attribute name="href">
                  <xsl:text disable-output-escaping="yes">javascript:viewXML();</xsl:text>
                </xsl:attribute>
                RAW XML <img id="DSSServiceXML" src="/resources/dss/Microsoft.Dss.Runtime.Home.Images.xml_button.gif" width="31" height="16" border="0" alt="Raw XML" />
              </a>
              <!--<a  style="font-size:large; color:Black; cursor:hand;" href="#" onclick="self.location.href = self.location.href + '/raw';">
                RAW XML <img id="DSSServiceXML" src="/resources/dss/Microsoft.Dss.Runtime.Home.Images.xml_button.gif" width="31" height="16" border="0" alt="Raw XML" />
              </a>-->
            </td>
          </tr>
          <tr>
            <td colspan="2" align="left">
              <div id="DSSServiceDescription">
                <strong>Description: </strong>
                <i>Sick Laser Range Finder LMS2xx</i>
              </div>
              <hr style="width:90%; height:1px;" />
            </td>
          </tr>
        </table>
		
          Views: 

        <a><xsl:attribute name="href">
            <xsl:text disable-output-escaping="yes">javascript:viewTopImage();</xsl:text>
          </xsl:attribute>Top</a>,
        
        <a><xsl:attribute name="href">
            <xsl:text disable-output-escaping="yes">javascript:viewCylinderImage();</xsl:text>
          </xsl:attribute>Cylinder</a>, 
          
          <a><xsl:attribute name="href">
            <xsl:text disable-output-escaping="yes">javascript:viewXML();</xsl:text>
          </xsl:attribute>Raw</a>.
				
        <table width="100%" align="center">
          <tr>
            <th colspan="2">
              Sick Laser Range Finder Configuration
            </th>
          </tr>          
          <tr>
            <th width="20%">
              Angular Range:
            </th>
            <td>
              <xsl:value-of select="sicklrf:AngularRange"/>
            </td>
          </tr>
          <tr class="odd" width="80%">
            <th>
              Units:
            </th>
            <td>
              <xsl:value-of select="sicklrf:Units"/>
            </td>
          </tr>
          <tr>
            <th>
              Angular Resolution:
            </th>
            <td>
              <xsl:value-of select="sicklrf:AngularResolution"/>
            </td>
          </tr>
          <tr class="odd">
            <th>
              Time Stamp:
            </th>
            <td>
              <xsl:value-of select="sicklrf:TimeStamp"/>
            </td>
          </tr>   
		  
		   <tr>
            <th>
              Distance Measurements
            </th>
            <td> </td>
          </tr>  
		  
		      <xsl:for-each select="sicklrf:DistanceMeasurements/sicklrf:int">
          <tr>

              <xsl:if test="position() mod 2 ">
                <xsl:attribute name="class">
                  <xsl:text>odd</xsl:text>
                </xsl:attribute>
              </xsl:if>

            <th>
               <xsl:value-of select="position()"/>
             </th>
              <td>

                <xsl:choose>
                  <xsl:when test=". = '8192'">
                    <xsl:text>infinity</xsl:text>
                  </xsl:when>
                  <xsl:when test=". &lt;= '0'">
                    <xsl:text>infinity</xsl:text>
                  </xsl:when>
                  <xsl:otherwise>
                    <xsl:value-of select="."/>
                  </xsl:otherwise>
                </xsl:choose>
                
              </td>
          </tr>
         </xsl:for-each>
		         
		  
        </table>
    </body>
    </html>
</xsl:template>

</xsl:stylesheet> 
